Subject: Re: [PATCH net-next] openvswitch: fix VxLAN-gpe port can't be created in ovs compat mode

From: "Yang, Yi" <[email-masked]>
Date: Fri, 9 Dec 2016 08:27:39 +0800

On Thu, Dec 08, 2016 at 11:41:58AM -0800, Pravin Shelar wrote:
> On Thu, Dec 8, 2016 at 12:20 AM, Yi Yang <[email-masked]> wrote:
> >
> > Signed-off-by: Yi Yang <[email-masked]>
> > ---
> >  include/uapi/linux/openvswitch.h |  1 +
> >  net/openvswitch/vport-vxlan.c    | 15 +++++++++++++++
> >  2 files changed, 16 insertions(+)
> >
> There is no need for this patch in upstream kernel module. I am open
> to having such a patch in out of tree kernel if it simplifies feature
> compatibility code.

I'm very glad to hear this :-), the goal is to enable current ovs to create
vxlan-gpe port in compat mode without new kernel help, I'll post a patch
for ovs, thanks a lot.